gstreamermm: Gst::MessageMixerOptionsListChanged Class Reference

gstreamermm 0.10.10.2

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Gst::MessageMixerOptionsListChanged Class Reference

An option-list-changed Gst::Mixer message, osted when the list of available options for a GstMixerOptions object has changed (Since: 0.10.18). More...

Inheritance diagram for Gst::MessageMixerOptionsListChanged:
[legend]
Collaboration diagram for Gst::MessageMixerOptionsListChanged:
[legend]

List of all members.

## Public Member Functions
| MessageMixerOptionsListChanged (GstMessage* castitem)
Glib::RefPtr< Gst::MixerOptions > | parse ()
| Extracts the Gst::MixerOptions whose value list has changed from an options-list-changed bus notification message.
Glib::RefPtr< const Gst::MixerOptions > | parse () const
| Extracts the Gst::MixerOptions whose value list has changed from an options-list-changed bus notification message.

## Detailed Description

An option-list-changed Gst::Mixer message, osted when the list of available options for a GstMixerOptions object has changed (Since: 0.10.18).

## Constructor & Destructor Documentation

Gst::MessageMixerOptionsListChanged::MessageMixerOptionsListChanged | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

Glib::RefPtr<Gst::MixerOptions> Gst::MessageMixerOptionsListChanged::parse | ( |  | ) |

Extracts the Gst::MixerOptions whose value list has changed from an options-list-changed bus notification message.

The options object returned remains valid until the message is freed.

Since 0.10.18.

Glib::RefPtr<const Gst::MixerOptions> Gst::MessageMixerOptionsListChanged::parse | ( |  | ) | const

Extracts the Gst::MixerOptions whose value list has changed from an options-list-changed bus notification message.

The options object returned remains valid until the message is freed.

Since 0.10.18.

The documentation for this class was generated from the following file:

- gstreamermm/mixer.h